[Setup] Easy install ZopeSkel fails

Maurits van Rees m.van.rees at zestsoftware.nl
Wed Mar 2 13:46:10 UTC 2011


Op 02-03-11 13:54, Martin Weigele schreef:
> Am Mittwoch, 2. März 2011, um 13:35:06 schrieben Sie:
>> Hi,
>>
>> 2011/3/2 Martin Weigele<martin at weigele.de>
>>
>>> Within a fresh ubuntu 10.10, Python 2.6.6, easy_install successfully
>>> installed by wget http://peak.telecommunity.com/dist/ez_setup.py,
>>> python ez_setup.py
>>>
>>> [snip]
>>>
>>>> error: Setup script exited with error: command 'gcc' failed with exit
>>>> status 1
>>
>> You should install gcc
>>
>> Cheers,
>
> Thanks Gil! Sorry I installed too many variations of virtual machines :-) so I
> forgot to install gcc this time. However, as tested before, it does not help,
> see now the correct failing trace with gcc installed, Ubuntu 10.10, python
> 2.6.5 . The problem may be that recent Ubuntu distributions do not support
> different versions of Python, and it seems things do not really work out with
> the most recent versions of Python. So a workaround may be to install
> everything for 2.4 manually  - quite annoying though.
>
>>
>>> _______________________________________________
>>> Setup mailing list
>>> Setup at lists.plone.org
>>> https://lists.plone.org/mailman/listinfo/setup
> --
>> $ sudo easy_install ZopeSkel
>> Searching for ZopeSkel
>> Best match: ZopeSkel 2.19
>> Processing ZopeSkel-2.19-py2.6.egg
>> ZopeSkel 2.19 is already the active version in easy-install.pth
>> Installing zopeskel script to /usr/local/bin
>>
>> Using /usr/local/lib/python2.6/dist-packages/ZopeSkel-2.19-py2.6.egg
>> Processing dependencies for ZopeSkel
>> Searching for Cheetah>1.0,<=2.2.1
>> Reading http://pypi.python.org/simple/Cheetah/
>> Reading http://www.CheetahTemplate.org/
>> Reading http://sourceforge.net/project/showfiles.php?group_id=28961
>> Reading http://www.cheetahtemplate.org/
>> Best match: Cheetah 2.2.1
>> Downloading
>> http://sourceforge.net/projects/cheetahtemplate/files/Cheetah/v2.2.1/Cheet
>> ah-2.2.1.tar.gz/download Processing download
>> Running Cheetah-2.2.1/setup.py -q bdist_egg --dist-dir
>> /tmp/easy_install-bpT5Iv/Cheetah-2.2.1/egg-dist-tmp-Bz41iW warning: no
>> files found matching '*.cfg'
>> warning: no files found matching 'examples'
>> warning: no files found matching 'docs'
>> warning: no files found matching 'bin'
>> warning: no files found matching '*' under directory 'docs'
>> warning: no files found matching '*' under directory 'examples'
>> warning: no previously-included files matching '*.pyc' found under
>> directory 'src' warning: no previously-included files matching '*~' found
>> under directory 'src' warning: no previously-included files matching
>> '*.aux' found under directory 'src' warning: no previously-included files
>> matching '*~' found under directory 'docs' warning: no previously-included
>> files matching '*.aux' found under directory 'docs'
>> src/_namemapper.c:15:58: error: Python.h: Datei oder Verzeichnis nicht
>> gefunden
 >> (...)

That last line is the important one: Python.h cannot be found.  You need 
to install the python development libraries.  Something like:

sudo aptitude install python-dev

It might be python2.6-dev.


-- 
Maurits van Rees
Web App Programmer at Zest Software: http://zestsoftware.nl
Personal website: http://maurits.vanrees.org/



More information about the Setup mailing list